Mesh

Capabilities in the `mesh` group, auto-generated from defineCapability() declarations.

Mesh

GET /auth/mesh/agents

List mesh agents currently registered for the tenant

Capability ID: auth.mesh.agents Auth: supabaseJwt Permission: mesh.read

Request schema

{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "type": "object",
  "properties": {},
  "additionalProperties": false
}

Response schema

{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "type": "object",
  "propertyNames": {
    "type": "string"
  },
  "additionalProperties": {}
}

Examples

list

Request:

{}

Response:

{
  "agents": []
}

---

GET /auth/mesh/graph

Live mesh-graph snapshot (nodes + aggregated edges)

Capability ID: auth.mesh.graph Auth: supabaseJwt Permission: mesh.read

Request schema

{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "type": "object",
  "properties": {},
  "additionalProperties": false
}

Response schema

{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "type": "object",
  "propertyNames": {
    "type": "string"
  },
  "additionalProperties": {}
}

Examples

graph

Request:

{}

Response:

{
  "nodes": [],
  "edges": []
}

---

GET /auth/mesh/graph/history

Mesh-graph snapshot history (rolling 1–168h window)

Capability ID: auth.mesh.graph_history Auth: supabaseJwt Permission: mesh.read

Request schema

{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "type": "object",
  "properties": {
    "hours": {
      "type": "string"
    }
  },
  "additionalProperties": false
}

Response schema

{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "type": "object",
  "propertyNames": {
    "type": "string"
  },
  "additionalProperties": {}
}

Examples

history

Request:

{}

Response:

{
  "snapshots": [],
  "hours": 24
}

---